function maticepozic = tvorbamaticepozic(pocetprimek, vzdalenostodstredu)
% funkce vytvari matici pozic, ktera obsahuje pozice vsech pixelu prohledavaneho
% okoli pro JEDEN stredovy pixel. Matice pozic je univerzalni pro vsechny
% pixely v obraze, tzn. behem prohledavani obrazu se nemeni. Stejna matice
% je pouzita pro kazdy pixel jehoz okoli je prohledavano

% VSTUP:
% - pocet primek - pocet radialnich primek, pod kterymi bude prohledavano
%   okoli jednoho stredoveho pixelu (cim vetsi pocet, tim vetsi presnost, ale take vypocetni narocnost)
% - vzdalenostodstredu - vzdalenost od stredu urcuje maximalni vzdalenost,
%   ve ktere bude okoli kolem stredoveho pixelu prohledavano (vetsi hodnoty zpusobuji vyssi vypocetni narocnost, prilis vysoke hodnoty mohou zhorsit presnost)

% VYSTUP:
% - maticepozic - matice obsahujici pozice pixelu prohledavaneho okoli
%       - prvni radek znaci hodnoty vzdalenosti
%       - prvni sloupec znaci cislo radialni primky
%       - druhy sloupec znaci uhel inkrementu od nulove pozice (vertikalne svisle vzhuru)
%       - ostatni hodnoty pak znaci vlastni pozice v x (vzdy prvni radek pro dany uhel) a y souradnici (vzdy druhy radek pro dany uhel) vlastni data tedy zacinaji na druhem radku a tretim sloupci



 %% TVORBA MATICE POZIC PIXELU RADIALNICH PRIMEK
    uhel = 360 / pocetprimek; % uhel mezi jednotlivymi radialnimi primkami

    maticepozic = zeros(pocetprimek*2, vzdalenostodstredu+2);   % maticepozic obsahuje v jednotlivych radcich souradnice bodu prislusicich jednotlivym radialnim primkam


    %% NAPLNENI MATICE pozic hodnotami


    for i = 1:vzdalenostodstredu
        maticepozic(1,i+3) = i; % naplneni prvniho radku maticepozic indexy (neboli vzdalenostmi)
    end

     for i = 1:pocetprimek  % zaciname uhlem 0 + 1 inkrement

         maticepozic(i*2,1) = i;     % naplneni prvniho sloupce indexy
         maticepozic(i*2+1,1) = i;   % naplneni prvniho sloupce indexy

         maticepozic(i*2,2) = uhel * i;      % naplneni druheho sloupce uhlem radialni primky
         maticepozic(i*2+1,2) = uhel * i;    % naplneni druheho sloupce uhlem radialni primky

         maticepozic(i*2,3) = 0;     % naplneni tretiho sloupce - vzdalenosti 0 - coz odpovida centralnimu pixelu => vsechny hodnoty = 0;
         maticepozic(i*2+1,3) = 0;

         for j = 1:vzdalenostodstredu % a zkousime vzdalenosti


            maticepozic(i*2,j+3) = round(sind(uhel*i)*j);   % dle gon. fukci spocitame souradnice nalezicich pixelu pro jednotlive vzdalenosti od stredu
            maticepozic(i*2+1,j+3) = round(cosd(uhel*i)*j);   % j nam znaci preponu
        end
     end

end